#!/bin/sh

. ./_blfsset.sh

APPNAME=bashcomp-config
VER=0.8
TARGET=$APPNAME-$VER
TARGETBALL=$DLD/$TARGET.tar.bz2
TARGETDIR=$TARGET

echo $TARGET

. $WRK/_checkRequired.sh ""
. $WRK/_checkOptions.sh  ""
. $WRK/_checkTarball.sh
. $WRK/_checkExit.sh "$1" || exit $?

cd $SRC
RemoveSrcDir
Extract

TimeStart

cd $TARGETDIR

Configuring
./configure --prefix=/usr \
	--sysconfdir=/etc \
	1> $LOG/$TARGET.1_conf.log 2>&1 || exit 1

sed -i 's/bashcomp-config/bash-completion-config/g' bash-completion-config.in
sed -i 's/bashcomp-config/bash-completion-config/g' Makefile

Making
make \
	1> $LOG/$TARGET.2_make.log 2>&1 || exit 1

Installing
paco -p $TARGET "make install" \
	1> $LOG/$TARGET.3_install.log 2>&1 || exit 1

TimeEnd

cd ..
RemoveSrcDir
PacoingDone

