#!/bin/sh

. ./_blfsset.sh

APPNAME=openal
VER=1.15.1
TARGET=$APPNAME-$VER
TARGETBALL=$DLD/$APPNAME-soft-$VER.tar.bz2
TARGETDIR=$APPNAME-soft-$VER

echo $TARGET

. $WRK/_checkRequired.sh \
	cmake
. $WRK/_checkOptions.sh  ""
. $WRK/_checkTarball.sh
. $WRK/_checkExit.sh "$1" || exit $?

cd $SRC
RemoveSrcDir
Extract

TimeStart

cd $TARGETDIR

mkdir -p build
cd build

echo Cmaking...
cmake \
	-DCMAKE_INSTALL_PREFIX=/usr \
	.. \
	1> $LOG/$TARGET.1_cmake.log 2>&1 || exit 1

Making
make \
	1> $LOG/$TARGET.2_make.log 2>&1 || exit 1

Installing
paco -p $TARGET "make install" \
	1> $LOG/$TARGET.3_install.log 2>&1 || exit 1

TimeEnd

cd ../..
RemoveSrcDir
PacoingDone

