#!/bin/sh

. ./_blfsset.sh
. ./Xorg/_xorgset.sh

APPNAME=py2cairo
VER=1.10.0
TARGET=$APPNAME-$VER
TARGETBALL=$DLD/$TARGET.tar.bz2
TARGETDIR=$TARGET

echo $TARGET

. $WRK/_checkRequired.sh python-2 cairo
. $WRK/_checkOptions.sh  ""
. $WRK/_checkTarball.sh
. $WRK/_checkExit.sh "$1" || exit $?

cd $SRC

RemoveSrcDir
Extract

TimeStart

cd $TARGETDIR

Configuring
./waf configure --prefix=/usr \
	1> $LOG/$TARGET.1_conf.log 2>&1 || exit 1

Making
./waf build \
	1> $LOG/$TARGET.2_make.log 2>&1 || exit 1

Installing
porg -lp  $TARGET "./waf install" \
	1> $LOG/$TARGET.3_install.log 2>&1 || echo Error occured!

TimeEnd

cd ..
RemoveSrcDir
PorgingDone
