#!/bin/sh

. ./_blfsset.sh

APPNAME=usbmuxd
VER=1.0.8
TARGET=$APPNAME-$VER
TARGETBALL=$DLD/$TARGET.tar.bz2
TARGETDIR=$TARGET

echo $TARGET

. $WRK/_checkRequired.sh \
	cmake libusb
. $WRK/_checkOptions.sh  \
	libplist
. $WRK/_checkTarball.sh
. $WRK/_checkExit.sh "$1" || exit $?

cd $SRC
RemoveSrcDir
Extract

TimeStart

cd $TARGETDIR

mkdir build
cd build

echo Cmaking...
cmake -DCMAKE_INSTALL_PREFIX=/usr .. \
	1> $LOG/$TARGET.1_cmake.log 2>&1 || exit 1

sed -i "s/UNKNOWN/$VER/" libusbmuxd.pc

Making
make \
	1> $LOG/$TARGET.2_make.log 2>&1 || exit 1

Installing
paco -p  $TARGET "\
make install" \
	1> $LOG/$TARGET.3_install.log 2>&1 || exit 1

TimeEnd

cd ../..
RemoveSrcDir
PacoingDone

