#/bin/sh

CHAP=5
APPNAME=binutils
APPVER=.1
VER=2.25.1
TARGET=$APPNAME-$VER
TARGETBALL=${TARGET}.tar.bz2
TARGETDIR=$TARGET

. ./_lfsset.sh

unset MAKEFLAGS

cd $SRC

echo $TARGET

echo \ \ Removing old directory...
rm -fr $TARGETDIR
rm -fr binutils-build

. $WRK/_extract.sh

TimeStart

cd $TARGETDIR

mkdir ../binutils-build
cd ../binutils-build

echo \ \ Configuring...
../binutils-$VER/configure     \
    --prefix=/tools            \
    --with-sysroot=$LFS        \
    --with-lib-path=/tools/lib \
    --target=$LFS_TGT          \
    --disable-nls              \
    --disable-werror           \
	1> $LOG/$CHAP.$TARGET.1_conf.log 2>&1 || exit 1

echo \ \ Making...
make \
	1> $LOG/$CHAP.$TARGET.2_make.log 2>&1 || exit 1

case $(uname -m) in
  x86_64) mkdir /tools/lib && ln -sv lib /tools/lib64 \
	1>> $LOG/$CHAP.$TARGET.2_make.log 2>&1 || exit 1 ;;
esac

echo \ \ Installing...
make install \
	1> $LOG/$CHAP.$TARGET.3_install.log 2>&1 || exit 1

TimeEnd chap5

echo \ \ Removing directory...
cd .. && rm -fr $TARGETDIR
rm -fr binutils-build

echo \ \ Done.

